% Variance-based sensitivity indices (NROSA-MC)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%% Noise Reduced Reaction-Oriented Sensitivity Analysis %%%%%%%%%%
%%%%%%%%%%%    MC COMPUTATION WITH DIMENSIONALITY REDUCTION      %%%%%%%%%%
%%%%%%%%%%%              Authors: Zhang/Goutsias                 %%%%%%%%%%
%%%%%%%%%%%             Last Modified: 09/18/2010                %%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% Calculate SESIs

sigmat = (varfTT-varmzTT)./(varmTT-varmzTT);
sigmad = (varfDD-varmzDD)./(varmDD-varmzDD);
sigmas = (varfSS-varmzSS)./(varmSS-varmzSS);
sigmar = (varfRR-varmzRR)./(varmRR-varmzRR);

% Calculate JESIs

etat = (varmTT - varvTT)./(varmTT-varmzTT) - sigmat;
etad = (varmDD - varvDD)./(varmDD-varmzDD) - sigmad;
etas = (varmSS - varvSS)./(varmSS-varmzSS) - sigmas;
etar = (varmRR - varvRR)./(varmRR-varmzRR) - sigmar;