% Write sensitivity results (NSOSA-DA)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%% Noise-Reduced Species-Oriented Sensitivity Analysis  %%%%%%%%
%%%%%%%%%%%%%%%%      Derivative-Based Approximation       %%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%          Authors: Zhang/Goutsias          %%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%         Last Modified: 09/01/2010         %%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Write SESIs and JESIs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% TIMING

fid = fopen('..\results\reports\timing_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED SPECIES RESULTS (TIMING)');
fprintf(fid,'\n\nNumber of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nSpecies\t\tSESI\t\t\tClassification\n\n');
for n = 1:N
    Sens = [spec(n);sigmat(n)];
    if sigmat(n) <= theta
        fprintf(fid,'%1.0f\t%14.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%14.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);

% DURATION

fid = fopen('..\results\reports\duration_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED SPECIES RESULTS (DURATION)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nSpecies\t\tSESI\t\t\tClassification\n\n');
for n = 1:N
    Sens = [spec(n);sigmad(n)];
    if sigmad(n) <= theta
        fprintf(fid,'%1.0f\t%14.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%14.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);

% STRENGTH

fid = fopen('..\results\reports\strength_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED SPECIES RESULTS (STRENGTH)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nSpecies\t\tSESI\t\t\tClassification\n\n');
for n = 1:N
    Sens = [spec(n);sigmas(n)];
    if sigmas(n) <= theta
        fprintf(fid,'%1.0f\t%14.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%14.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);

% RATIO

fid = fopen('..\results\reports\ratio_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED SPECIES RESULTS (RATIO)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nSpecies\t\tSESI\t\t\tClassification\n\n');
for n = 1:N
    Sens = [spec(n);sigmar(n)];
    if sigmar(n) <= theta
        fprintf(fid,'%1.0f\t%14.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%14.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);
